cascading.tuple.hadoop.util

## Class GroupingPartitioner

- java.lang.Object
- - cascading.tuple.util.TupleHasher
  - - cascading.tuple.hadoop.util.HasherPartitioner
    - - cascading.tuple.hadoop.util.GroupingPartitioner

All Implemented Interfaces:
  Serializable, Configurable, JobConfigurable, Partitioner<Tuple,Tuple>

    public class GroupingPartitioner
    extends HasherPartitioner
    implements Partitioner<Tuple,Tuple>

Class GroupingPartitioner is an implementation of `Partitioner`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.tuple.util.TupleHasher

`TupleHasher.HashFunction`

### Field Summary

### Fields inherited from class cascading.tuple.hadoop.util.HasherPartitioner

`HASHER_PARTITIONER_USE_LEGACY_HASH`

### Fields inherited from class cascading.tuple.util.TupleHasher

`hashFunction`

### Constructor Summary

Constructors
Constructor and Description
`GroupingPartitioner()`

### Method Summary

Methods
`void` `configure(JobConf job)`
`int` `getPartition(Tuple key, Tuple value, int numReduceTasks)`

### Methods inherited from class cascading.tuple.hadoop.util.HasherPartitioner

`getConf, setConf`

### Methods inherited from class cascading.tuple.util.TupleHasher

`getHashFunction, hashCode, initialize, isNull, merge, wrapTuple`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GroupingPartitioner

    public GroupingPartitioner()

### Method Detail

#### getPartition

    public int getPartition(Tuple key,
                   Tuple value,
                   int numReduceTasks)

Specified by:
  `getPartition` in interface `Partitioner<Tuple,Tuple>`

#### configure

    public void configure(JobConf job)

Specified by:
  `configure` in interface `JobConfigurable`